Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002105graphvizDotpublic2011-06-12 11:592013-09-12 22:04
Reporterellson 
Assigned Toerg 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformFedora-14OSLinuxOS Version2.6.35.13-92.fc1
Summary0002105: crash when splines=ortho
Description(gdb) run -Tx11 -Gsplines=ortho tree3bis.dot
Starting program: /home/ellson/FIX/Linux.x86_64/bin/dot -Tx11 -Gsplines=ortho tree3bis.dot
[Thread debugging using libthread_db enabled]

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff7dc28ff in updateBB (g=0x6179d0, lp=0x0) at utils.c:823
823 {
(gdb) where
#0 0x00007ffff7dc28ff in updateBB (g=0x6179d0, lp=0x0) at utils.c:823
0000001 0x00007ffff6f0e499 in setEdgeLabelPos (g=0x6179d0, normalize=1)
    at dotsplines.c:251
0000002 _dot_splines (g=0x6179d0, normalize=1) at dotsplines.c:282
0000003 0x00007ffff6f02e70 in dot_layout (g=0x6179d0) at dotinit.c:275
0000004 0x00007ffff7d99475 in gvLayoutJobs (gvc=0x6038e0, g=0x6179d0)
    at gvlayout.c:90
0000005 0x0000000000400fe7 in main (argc=<value optimized out>,
    argv=<value optimized out>) at dot.c:219
(gdb)
Steps To Reproducedot -Gsplines=ortho tree3bis.dot
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT
VERSIONdot - graphviz version 2.29.0 (20110611.1450)
Attached Filesdot file icon tree3bis.dot [^] (2,389 bytes) 2011-06-12 11:59
dot file icon jef.dot [^] (459 bytes) 2011-08-08 17:10

- Relationships

-  Notes
User avatar (0000049)
geert.coelmont (reporter)
2011-08-08 17:10

Just uploaded a smaller sample that has the same problem. Hope it helps.
User avatar (0000523)
erg (administrator)
2013-09-12 22:04

Another instance of using unsupported edge labels in dot with splines=ortho

- Issue History
Date Modified Username Field Change
2011-06-12 11:59 ellson New Issue
2011-06-12 11:59 ellson Status new => assigned
2011-06-12 11:59 ellson Assigned To => erg
2011-06-12 11:59 ellson File Added: tree3bis.dot
2011-08-08 17:10 geert.coelmont File Added: jef.dot
2011-08-08 17:10 geert.coelmont Note Added: 0000049
2013-09-12 22:04 erg Note Added: 0000523
2013-09-12 22:04 erg Status assigned => resolved
2013-09-12 22:04 erg Resolution open => fixed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker